"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultTasks = exports.testTasks = exports.buildTasks = exports.postCopy = exports.preCopy = void 0;
const gulp_core_build_1 = require("@microsoft/gulp-core-build");
const gulp_core_build_typescript_1 = require("@microsoft/gulp-core-build-typescript");
const gulp_core_build_mocha_1 = require("@microsoft/gulp-core-build-mocha");
__exportStar(require("@microsoft/gulp-core-build"), exports);
__exportStar(require("@microsoft/gulp-core-build-typescript"), exports);
__exportStar(require("@microsoft/gulp-core-build-mocha"), exports);
// pre copy and post copy allows you to specify a map of dest: [sources] to copy from one place to another.
/**
 * @public
 */
exports.preCopy = new gulp_core_build_1.CopyTask();
exports.preCopy.name = 'pre-copy';
/**
 * @public
 */
exports.postCopy = new gulp_core_build_1.CopyTask();
exports.postCopy.name = 'post-copy';
const PRODUCTION = process.argv.indexOf('--production') !== -1 || process.argv.indexOf('--ship') !== -1;
(0, gulp_core_build_1.setConfig)({
    production: PRODUCTION,
    shouldWarningsFailBuild: PRODUCTION
});
const buildSubtask = (0, gulp_core_build_1.serial)(exports.preCopy, (0, gulp_core_build_1.parallel)(gulp_core_build_typescript_1.lintCmd, gulp_core_build_typescript_1.tscCmd, gulp_core_build_1.copyStaticAssets), gulp_core_build_typescript_1.apiExtractor, exports.postCopy);
/**
 * @public
 */
exports.buildTasks = (0, gulp_core_build_1.task)('build', buildSubtask);
/**
 * @public
 */
exports.testTasks = (0, gulp_core_build_1.task)('test', (0, gulp_core_build_1.serial)(buildSubtask, gulp_core_build_mocha_1.mocha, gulp_core_build_1.jest));
/**
 * @public
 */
exports.defaultTasks = (0, gulp_core_build_1.task)('default', (0, gulp_core_build_1.serial)(buildSubtask, gulp_core_build_mocha_1.instrument, gulp_core_build_mocha_1.mocha, gulp_core_build_1.jest));
(0, gulp_core_build_1.task)('watch', (0, gulp_core_build_1.watch)('src/**.ts', exports.testTasks));
//# sourceMappingURL=index.js.map